# /etc/nscd.conf
#
#
# An example Name Service Cache config file.  This file is needed by nscd.
#
# Legal entries are:
#
#	logfile			<file>
#	debug-level		<level>
#	threads			<initial #threads to use>
#	max-threads		<maximum #threads to use>
#	server-user             <user to run server as instead of root>
#		server-user is ignored if nscd is started with -S parameters
#       stat-user               <user who is allowed to request statistics>
#	reload-count		unlimited|<number>
#	paranoia		<yes|no>
#	restart-interval	<time in seconds>
#
#       enable-cache		<service> <yes|no>
#	positive-time-to-live	<service> <time in seconds>
#	negative-time-to-live   <service> <time in seconds>
#       suggested-size		<service> <prime number>
#	check-files		<service> <yes|no>
#	persistent		<service> <yes|no>
#	shared			<service> <yes|no>
#	max-db-size		<service> <number bytes>
#	auto-propagate		<service> <yes|no>
#
# Currently supported cache names (services): passwd, group, hosts, services
#


#	logfile			/var/log/nscd.log
#	threads			4
#	max-threads		32
	server-user		nscd
#	stat-user		somebody
	debug-level		0
#	reload-count		5
<% if scope.lookupvar('nscd::params::nscd_paranoia') -%>
	paranoia                <%= scope.lookupvar('nscd::params::nscd_paranoia') %>
<% end -%>
<% if scope.lookupvar('nscd::params::nscd_restart_interval') -%>
	restart-interval        <%= scope.lookupvar('nscd::params::nscd_restart_interval') %>
<% end -%>

<% if scope.lookupvar('nscd::params::nscd_passwd_cache') -%>
	enable-cache		passwd		<%= scope.lookupvar('nscd::params::nscd_passwd_cache') %>
<% end -%>
	positive-time-to-live	passwd		600
	negative-time-to-live	passwd		20
	suggested-size		passwd		211
	check-files		passwd		yes
	persistent		passwd		yes
	shared			passwd		yes
	max-db-size		passwd		33554432
	auto-propagate		passwd		yes

<% if scope.lookupvar('nscd::params::nscd_group_cache') -%>
	enable-cache		group		<%= scope.lookupvar('nscd::params::nscd_group_cache') %>
<% end -%>
	positive-time-to-live	group		3600
	negative-time-to-live	group		60
	suggested-size		group		211
	check-files		group		yes
	persistent		group		yes
	shared			group		yes
	max-db-size		group		33554432
	auto-propagate		group		yes

<% if scope.lookupvar('nscd::params::nscd_hosts_cache') -%>
	enable-cache		hosts		<%= scope.lookupvar('nscd::params::nscd_hosts_cache') %>
<% end -%>
	positive-time-to-live	hosts		300
	negative-time-to-live	hosts		30
	suggested-size		hosts		211
	check-files		hosts		yes
	persistent		hosts		yes
	shared			hosts		yes
	max-db-size		hosts		33554432

<% unless @osfamily == 'RedHat' and @operatingsystemrelease.to_f < 6.0 -%>
	enable-cache		services	yes
	positive-time-to-live	services	28800
	negative-time-to-live	services	20
	suggested-size		services	211
	check-files		services	yes
	persistent		services	yes
	shared			services	yes
	max-db-size		services	33554432
<% end -%>


